|  | Home | Documentation | uddi2__serviceDetail Class Reference updated by Robert van Engelen |

Public Attributes | List of all members
uddi2__serviceDetail Class Reference

Schema urn:uddi-org:api_v2:"serviceDetail". More...

`#include <uddi_v2.h>`

## Public Attributes

std::vector< uddi2__businessService * > | businessService
| Vector of uddi2__businessService* with length 0..unbounded.
char * | generic
| Attribute generic of type xs:string.
char * | operator_
| Attribute operator of type xs:string.
enum uddi2__truncated * | truncated
| Attribute truncated of type "urn:uddi-org:api_v2":truncated.
struct soap * | soap
| A handle to the soap struct context that manages this class instance.

## Detailed Description

Schema urn:uddi-org:api_v2:"serviceDetail".

## Member Data Documentation

## ◆ businessService

std::vector<uddi2__businessService*> uddi2__serviceDetail::businessService

Vector of uddi2__businessService* with length 0..unbounded.

## ◆ generic

char* uddi2__serviceDetail::generic

Attribute generic of type xs:string.

Required attribute

## ◆ operator_

char* uddi2__serviceDetail::operator_

Attribute operator of type xs:string.

Required attribute

## ◆ soap

struct soap* uddi2__serviceDetail::soap

A handle to the soap struct context that manages this class instance.

## ◆ truncated

enum uddi2__truncated* uddi2__serviceDetail::truncated

Attribute truncated of type "urn:uddi-org:api_v2":truncated.

Optional attribute

The documentation for this class was generated from the following file:

- uddi_v2.h